syncope-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Filipe Silva (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (SYNCOPE-1334) Maven install problem with Apache Syncope 2.1.0
Date Tue, 10 Jul 2018 09:34:00 GMT

     [ https://issues.apache.org/jira/browse/SYNCOPE-1334?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Filipe Silva updated SYNCOPE-1334:
----------------------------------
    Description: 
I create the project
{code:java}
mvn archetype:generate \
    -DarchetypeGroupId=org.apache.syncope \
    -DarchetypeArtifactId=syncope-archetype \
    -DarchetypeRepository=http://repo1.maven.org/maven2 \
    -DarchetypeVersion=2.1.0
{code}
then in the folder I made

 
{code:java}
mvn clean install
{code}
Got ERROR

 

 
{noformat}
[INFO] Scanning for projects...
[ERROR] [ERROR] Some problems were encountered while processing the POMs:
[ERROR] 'dependencies.dependency.version' for junit:junit:jar is missing. @ pt.up:syncope-console:[unknown-version],
/home/fsilva/idm210/upidm/console/pom.xml, line 101, column 17
(...) {noformat}
Workaround is to clean in console/pom.xml the
{code:java}
<!-- TEST -->
   <dependency>
   <groupId>junit</groupId>
   <artifactId>junit</artifactId>
   <scope>test</scope>
 </dependency>
{code}

  was:
I create the project

mvn archetype:generate \ -DarchetypeGroupId=org.apache.syncope \ -DarchetypeArtifactId=syncope-archetype
\ -DarchetypeRepository=

[http://repo1.maven.org/maven2]

\ -DarchetypeVersion=2.1.0 then in the folder I made

{{mvn clean install Got ERROR }}
[INFO] Scanning for projects...
 [ERROR] [ERROR] Some problems were encountered while processing the POMs:
 [ERROR] 'dependencies.dependency.version' for junit:junit:jar is missing. @ pt.up:syncope-console:[unknown-version],
/home/fsilva/idm210/upidm/console/pom.xml, line 101, column 17
  @ 
 
 (...)
 
 Workaround is to clean in console/pom.xml the 
 
 
 <!-- TEST -->
    <dependency>
    <groupId>junit</groupId>
    <artifactId>junit</artifactId>
    <scope>test</scope>
  </dependency>


> Maven install problem with Apache Syncope 2.1.0
> -----------------------------------------------
>
>                 Key: SYNCOPE-1334
>                 URL: https://issues.apache.org/jira/browse/SYNCOPE-1334
>             Project: Syncope
>          Issue Type: Bug
>          Components: archetype
>    Affects Versions: 2.1.0
>            Reporter: Filipe Silva
>            Assignee: Francesco Chicchiriccò
>            Priority: Trivial
>             Fix For: 2.1.1, 3.0.0
>
>
> I create the project
> {code:java}
> mvn archetype:generate \
>     -DarchetypeGroupId=org.apache.syncope \
>     -DarchetypeArtifactId=syncope-archetype \
>     -DarchetypeRepository=http://repo1.maven.org/maven2 \
>     -DarchetypeVersion=2.1.0
> {code}
> then in the folder I made
>  
> {code:java}
> mvn clean install
> {code}
> Got ERROR
>  
>  
> {noformat}
> [INFO] Scanning for projects...
> [ERROR] [ERROR] Some problems were encountered while processing the POMs:
> [ERROR] 'dependencies.dependency.version' for junit:junit:jar is missing. @ pt.up:syncope-console:[unknown-version],
/home/fsilva/idm210/upidm/console/pom.xml, line 101, column 17
> (...) {noformat}
> Workaround is to clean in console/pom.xml the
> {code:java}
> <!-- TEST -->
>    <dependency>
>    <groupId>junit</groupId>
>    <artifactId>junit</artifactId>
>    <scope>test</scope>
>  </dependency>
> {code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message